Wallets, tokens & networks
Create Wallet Network
Creates a Network row from a name and legacy TokenTypeEnum only.
POSThttps://api.toku.com/hris/create-wallet-network
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/create-wallet-network' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"tokenType": "ERC20"
}'200 response
{
"network": {
"networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"icon": "string",
"tokenType": "ERC20",
"isNetworkEnabled": true,
"chainType": "EVM",
"meshConnectNetworkID": "string",
"evmChainID": 0,
"multiSendCallOnlyAddress": "string",
"safeSingletonAddress": "string",
"safeFactoryAddress": "string",
"safeAppBaseUrl": "string",
"blockExplorerBaseUrl": "string",
"eipsName": "string",
"aleoTransferVisibility": "PUBLIC",
"defaultNetworkSlugUrl": "string",
"catalogChainID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
namestringrequiredAllowed: 1 to 120 characters
tokenTypestringrequiredAvailable options: ERC20, NATIVE
Response
200Successful response
networkobjectrequiredShow child attributes
networkIDstring<uuid>requiredorgIDstring<uuid>requirednamestringrequirediconstring | nullrequiredtokenTypestringrequiredAvailable options: ERC20, NATIVE
isNetworkEnabledboolean | nullrequiredchainTypestring | nullrequiredAvailable options: EVM, SOLANA, XRPL, BITCOIN, COSMOS_SDK, FILECOIN, PROVENANCE, ALEO, FOGO, FIAT, NEAR, POLKADOT, STACKS, SUI, null
meshConnectNetworkIDstring | nullrequiredevmChainIDinteger | nullrequiredmultiSendCallOnlyAddressstring | nullrequiredsafeSingletonAddressstring | nullrequiredsafeFactoryAddressstring | nullrequiredsafeAppBaseUrlstring | nullrequiredsafeTxServiceUrlnull | nullrequiredblockExplorerBaseUrlstring | nullrequiredeipsNamestring | nullrequiredaleoTransferVisibilitystring | nullrequiredAvailable options: PUBLIC, PUBLIC_TO_PRIVATE, PRIVATE, null
defaultNetworkSlugUrlstring | nullrequiredcatalogChainIDstring | null<uuid>required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits